List gpu class profiles
GET
/v1/gpu-class-profilescurl -X GET 'https://api.embodiflow.io/v1/gpu-class-profiles' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<GpuClassProfileDto>必填
- codestring必填
- displayNamestring必填
- vendorstring | null
- memoryGbnumber必填
- nodeSelectorobject必填
- tolerationsarray<GpuTolerationDto> | null
- runtimeClassNamestring | null
- isActiveone of必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject
- requestIdstring
- pageSizenumber必填
响应示例
{
"data": [
{
"code": "string",
"displayName": "string",
"vendor": "string",
"memoryGb": 0,
"nodeSelector": {},
"tolerations": [
{
"key": "string",
"operator": "string",
"value": "string",
"effect": "string"
}
],
"runtimeClassName": "string",
"isActive": false
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1